Bug 176575 - kernel 2.6.14-1.1644 emu10k1 alsa does not recognize
kernel 2.6.14-1.1644 emu10k1 alsa does not recognize
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-26 17:20 EST by Bruce-Robert Pocock
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce-Robert Pocock 2005-12-26 17:20:23 EST
Description of problem:
Updated from 2.6.11-1.1369 to 2.6.14-1.1644 and lost sound.

lspci -v:
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
        Subsystem: Creative Labs CT4832 SBLive! Value
        Flags: medium devsel, IRQ 10
        I/O ports at c000 [size=32]
        Capabilities: [dc] Power Management version 1

00:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 08)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 32
        I/O ports at c400 [size=8]
        Capabilities: [dc] Power Management version 1

00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80) (prog-if 00 [UHCI])
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer: Unknown device a232
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at c800 [size=32]
        Capabilities: [80] Power Management version 2


lsmod
Module                  Size  Used by
ohci1394               35209  0
ieee1394              298777  1 ohci1394
udf                    85189  1
nfsd                  228557  15
exportfs                6593  1 nfsd
lockd                  60873  2 nfsd
nfs_acl                 3905  1 nfsd
parport_pc             28165  1
lp                     13193  0
parport                35849  2 parport_pc,lp
sunrpc                143485  11 nfsd,lockd,nfs_acl
dm_mod                 58973  0
video                  16325  0
button                  6737  0
battery                 9541  0
ac                      4933  0
nvidia               4088688  18
ipv6                  252961  10
uhci_hcd               33361  0
ehci_hcd               35149  0
bt878                  10681  0
bttv                  165681  1 bt878
video_buf              22085  1 bttv
i2c_algo_bit            9289  1 bttv
v4l2_common             5953  1 bttv
btcx_risc               5065  1 bttv
tveeprom               13648  1 bttv
i2c_core               22465  3 bttv,i2c_algo_bit,tveeprom
videodev                9793  1 bttv
emu10k1_gp              3905  0
gameport               16073  2 emu10k1_gp
via_ircc               22997  0
irda                  115577  1 via_ircc
crc_ccitt               2241  1 irda
snd_emu10k1_synth       7361  0
snd_emux_synth         35777  1 snd_emu10k1_synth
snd_seq_virmidi         7489  1 snd_emux_synth
snd_seq_midi_emul       6977  1 snd_emux_synth
snd_emu10k1           111205  1 snd_emu10k1_synth
snd_rawmidi            25313  2 snd_seq_virmidi,snd_emu10k1
snd_ac97_codec         91197  1 snd_emu10k1
snd_seq_dummy           3909  0
snd_seq_oss            31937  0
snd_seq_midi_event      7361  2 snd_seq_virmidi,snd_seq_oss
snd_seq                50897  8
snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9165  7
snd_emu10k1_synth,snd_emux_synth,snd_emu10k1,snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            52465  0
snd_mixer_oss          18113  1 snd_pcm_oss
snd_pcm                88261  3 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
snd_timer              25669  3 snd_emu10k1,snd_seq,snd_pcm
snd_ac97_bus            2497  1 snd_ac97_codec
snd_page_alloc         10825  2 snd_emu10k1,snd_pcm
snd_util_mem            5185  2 snd_emux_synth,snd_emu10k1
snd_hwdep               9313  2 snd_emux_synth,snd_emu10k1
snd                    55716  14
snd_emux_synth,snd_seq_virmidi,snd_emu10k1,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore               9761  1 snd
via_rhine              24137  0
mii                     5569  1 via_rhine
floppy                 61957  0
ext3                  131145  2
jbd                    57301  1 ext3

*note, this occurs with or without nvidia tainted kernel*

 cat /proc/asound/cards
--- no soundcards ---

cat /proc/asound/oss/devices
  1:       : sequencer
  8:       : sequencer
cat /proc/asound/devices
  1:       : sequencer
 33:       : timer

Note, I tried erasing a (simpler) modprobe.conf file and allowed kudzu to
recreate the following (similar) one, with alsactl supports and indices:

cat /etc/modprobe.conf
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 index=0
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias char-major-81 bttv
alias usb-controller1 uhci-hcd
alias eth0 via-rhine
alias usb-controller ehci-hcd

Version-Release number of selected component (if applicable):


uname -r
2.6.14-1.1644_FC4
cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.10rc1 (Mon Sep 12 08:13:09
2005 UTC).
rpm -q alsa-lib
alsa-lib-1.0.10-2.FC4

How reproducible: always

system-config-soundcard detects correct board and driver but fails on test, note
slightly misshapen vendor/model split ...

Vendor: Creative
Model: Labs SB Live@ EMU10k1
Module: snd-emu10k1

In terminal, repeats several times:
Invalid card number.
Usage: amixer <options> command
...(snip usage)
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card


I see a kernel-2.6.14-1.1653_FC4 is available but have not tested yet.
Comment 1 Dave Jones 2006-02-03 00:39:50 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-05 08:51:13 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.